# Map Polyfill

* A minimal Map polyfill written in TypeScript, unit tested using Jasmine and Karma.
* The polyfill is (mostly) full featured when comparing to the native implementation of Map.
* Built file size is 3 KB minified.

## Installation

Ensure that Node and npm are both installed.

Then, install gulp globally:

```
npm install -g gulp
```

Finally, install all development dependencies:

```
cd CLONED_REPO_DIR
npm install
```

Run the default gulp task to run the linter, run unit tests, build documentation, and build the required scripts.

Look at the [gulp](https://github.com/brendenpalmer/map-polyfill/tree/master/gulp) folder to view the available tasks to run.

## Usage

If you're interested in contributing, see the [Contributing](https://github.com/brendenpalmer/map-polyfill#contributing) section below. Otherwise, install this package via npm: [map-polyfill](https://www.npmjs.com/package/map-polyfill).

The [dist](https://github.com/brendenpalmer/map-polyfill/tree/master/dist) folder contains all you'll need to get up and running.

## Documentation

The built documentation will always be located here: [Documentation](https://github.com/brendenpalmer/map-polyfill/tree/master/docs).

## Contributing

1. Fork it!
2. Create your feature branch: `git checkout -b my-new-feature`
3. Commit your changes: `git commit -am 'Add some feature'`
4. Push to the branch: `git push origin my-new-feature`
5. Submit a pull request.

## History

See the [CHANGELOG](https://github.com/brendenpalmer/map-polyfill/blob/master/CHANGELOG.md).

## License

Licensed under MIT. See the full license here:  [license](https://github.com/brendenpalmer/map-polyfill/blob/master/LICENSE).
